Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Environment

    java.lang.Object
      |
      +--org.omg.CORBA.Environment

public abstract class Environment
extends Object

A container (holder) for an exception that is used in `Request` operations to make exceptions available to the client. An `Environment` object is created with the `ORB` method `create_environment`.

Since:
  JDK1.2

Constructor Summary
`Environment()`

Method Summary
`abstract void` | `clear()` Clears this `Environment` object of its exception.
`abstract Exception` | `exception()` Retrieves the exception in this `Environment` object.
`abstract void` | `exception(Exception except)` Inserts the given exception into this `Environment` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment()

Method Detail

### exception

    public abstract Exception exception()

  Retrieves the exception in this `Environment` object.

  Returns:
    the exception in this `Environment` object

### exception

    public abstract void exception(Exception except)

  Inserts the given exception into this `Environment` object.

  Parameters:
    `except` - the exception to be set

### clear

    public abstract void clear()

  Clears this `Environment` object of its exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.